import $ from 'jquery';

import Button from './Element/Button';
import NumberElement from './Element/Number';
import Select from './Element/Select';

/**
 * Inicijalizira sve elemente na stranici.
 *
 * @returns {init}
 */
function init()
{
    $('select').each(function(i, el) {
        if (el.ep === undefined) {
            el.ep = new Select(el);
        }
    });

    $('button, input[type="button"], input[type="reset"], input[type="submit"]').each(function(i, el) {
        if (el.ep === undefined) {
            el.ep = new Button(el);
        }
    });

    $('input[type="number"]').each(function(i, el) {
        if (el.ep === undefined) {
            el.ep = new NumberElement(el);
        }
    });

    return init;
}

$(function() {
    init();
    $(document.body).on('DOMNodeInserted', init);
});