<?php
namespace Ep\Db\Adapter;

use Ep\Db\Adapter\Platform\SqlServer;
use Interop\Container\ContainerInterface;
use Zend\Db\Adapter\Adapter;
use Zend\Db\Adapter\AdapterAbstractServiceFactory as BaseAdapterAbstractServiceFactory;

/**
 * Stvara Db adapter iz konfiguracije.
 *
 * @package Ep\Db\Adapter
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class AdapterAbstractServiceFactory extends BaseAdapterAbstractServiceFactory
{
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        $config = $this->getConfig($container)[$requestedName];

        if (isset($config['driver']) && preg_match('#sqlsrv#', strtolower($config['driver']))) {
            return new Adapter($config, new SqlServer());
        }

        return new Adapter($config);
    }
}