<?php
namespace Ep\Form;

use Ep\InputFilter\Factory as InputFilterFactory;
use Zend\Form\Factory as BaseFactory;

/**
 * Tvornica formi.
 *
 * Naša verzije injecta naš Factory za InputFiltere.
 *
 * @package Ep\Form
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class Factory extends BaseFactory
{
	/** @var InputFilterFactory */
	protected $inputFilterFactory;

	/**
	 * Get current input filter factory
	 *
	 * If none provided, uses an unconfigured instance.
	 *
	 * @return InputFilterFactory
	 */
	public function getInputFilterFactory()
	{
		if (null === $this->inputFilterFactory) {
			$this->setInputFilterFactory(new InputFilterFactory());
		}

		return $this->inputFilterFactory;
	}
}