<?php
namespace Ep\Form\View\Helper;

use Zend\Form\ElementInterface;
use Zend\Form\View\Helper\FormSelect as BaseFormSelect;

/**
 * Renderira <select> element.
 *
 * @package Ep\Form\View\Helper
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class FormSelect extends BaseFormSelect
{
	public function __invoke(ElementInterface $element = null)
	{
		$classes = explode(' ', $element->getAttribute('class'));

		if (false === array_search('form-control', $classes)) {
            $classes[] = 'form-control';
        }

		if (count($element->getMessages()) > 0 && false === array_search('is-invalid', $classes)) {
			$classes[] = 'is-invalid';
		}

		$element->setAttribute('class', implode(' ', $classes));
		
		return parent::__invoke($element);
	}
}