<?php
namespace Ep\Log;

use Interop\Container\ContainerInterface;
use Zend\Log\LoggerAbstractServiceFactory as BaseLoggerAbstractServiceFactory;

/**
 * Naša verzija kreira direktorij za logove ako ne postoji.
 *
 * @package Ep\Log
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class LoggerAbstractServiceFactory extends BaseLoggerAbstractServiceFactory
{
    /**
     * Stvara novu instancu Loggera.
     *
     * @param ContainerInterface $container
     * @param $requestedName
     * @param array|null $options
     *
     * @return object|\Zend\Log\Logger
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        if (!is_dir('var/log')) {
            mkdir('var/log', 0777, true);
        }

        return parent::__invoke($container, $requestedName, $options);
    }
}