<?php
namespace Ep\Middleware\ErrorHandler;

use Psr\Http\Message\ResponseInterface;
use Psr\Http\Message\ServerRequestInterface;
use Whoops\Handler\PrettyPageHandler;
use Whoops\Run;

/**
 * Koristi Whoops za renderiranje stranice s greškom.
 *
 * @package Ep\Middleware\ErrorHandler
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class WhoopsResponse
{
    /**
     * Vraća u odgovoru ono što Whoops izrenda.
     *
     * @param \Exception|\Throwable $e
     * @param ServerRequestInterface $request
     * @param ResponseInterface $response
     *
     * @return ResponseInterface
     */
    public function __invoke($e, ServerRequestInterface $request, ResponseInterface $response): ResponseInterface
    {
        $response = $response->withStatus(500);
        $body = $response->getBody();

        $whoops = new Run();
        $whoops->pushHandler(new PrettyPageHandler());

        $message = $whoops->handleException($e);
        $body->write($message);

        return $response;
    }
}