<?php
namespace Ep\View;

use Interop\Container\ContainerInterface;
use Zend\ServiceManager\Factory\FactoryInterface;
use Zend\View\Renderer\RendererInterface;

/**
 * 'Stvara' Twig_Environment objekt.
 *
 * @package Ep\View
 * @author Elektronika Perhoč <web@ep.hr>
 * @link http://gitlab.ep.local/ep-framework/core
 */
class TwigFactory implements FactoryInterface
{
    /**
     * U biti ga izvlači iz renderera.
     *
     * @param  ContainerInterface $container
     * @param  string $requestedName
     * @param  null|array $options
     *
     * @return object
     *
     * @throws \Psr\Container\ContainerExceptionInterface
     * @throws \Psr\Container\NotFoundExceptionInterface
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null)
    {
        /** @var RendererInterface $renderer */
        $renderer = $container->get(RendererInterface::class);
        return $renderer->getEngine();
    }
}